Subject: Re: linux-next: build warning after merge of the ftrace tree

From: Fengguang Wu <[email-masked]>
Date: Thu, 5 Jun 2014 10:14:57 +0800

On Wed, Jun 04, 2014 at 09:39:32PM -0400, Steven Rostedt wrote:
> On Thu, 5 Jun 2014 09:33:00 +0800
> Fengguang Wu <[email-masked]> wrote:
> 
> 
> > Here are the recent emails sent to you:
> > 
> >  439   F May 10 To Steven Rostedt (4440:1) [trace:ftrace/next-3.17 29/29] kernel/trace/ftrace.c:108:27: warning: 'removed_ops' defined but not used
> >  446   F May 10 To Steven Rostedt (3531:1) [trace:ftrace/next-3.17 29/29] kernel/trace/ftrace.c:5358:12: error: 'struct ftrace_ops' has no member named 'trampoline'
> > 1207   F May 31 To Steven Rostedt (  43:0) [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq'
> > 1210   F May 31 To Steven Rostedt (  29:0) [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:84:3: warning: comparison of distinct pointer types lacks a cast
> 
> I don't have any of those :-(

Ah..

> > > I may add a bad commit to one of my branches and see if I get a
> > > response from you just to test it out. I really hope we can fix this
> > > because I've gotten someone dependent on your reports. :-/
> > 
> > Yes we need to fix it. The same lost email issue has happened for
> > someone else, which was fixed by changing the email address. I can
> > conveniently redirect reports to any other email addresses you have.
> 
> I wonder if the "(Red Hat)" part is causing an issue. Can you send
> directly to my email "[email-masked]" and strip the name part?

OK. I've committed the change. Let's see how well it will work.

Thanks,
Fengguang